Get payout
curl --request GET \
--url https://api.growi.io/api/public/v1/payouts/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.growi.io/api/public/v1/payouts/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growi.io/api/public/v1/payouts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growi.io/api/public/v1/payouts/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.growi.io/api/public/v1/payouts/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.growi.io/api/public/v1/payouts/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growi.io/api/public/v1/payouts/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"uuid": "<string>",
"creator_id": 123,
"creator_name": "<string>",
"creator_avatar_url": "<string>",
"campaign_id": 123,
"campaign_name": "<string>",
"campaign_category": "<string>",
"amount": "<string>",
"amount_cents": 123,
"deal_date": "2023-12-25",
"since_date": "2023-12-25",
"views": "<string>",
"status": "<string>",
"contents_delivered": 123,
"contents_required": 123,
"credits_enabled": true,
"credit_name": "<string>",
"total_credit_amount": 123,
"formatted_total_credit_amount": "<string>",
"pending_update": true
},
"meta": {
"precomputed_count": 123,
"queued_count": 123,
"in_flight_count": 123,
"filtered_unknown_count": 123,
"queue_state": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get payout
One payout of the /payouts list, by its uuid.
GET
/
payouts
/
{uuid}
Get payout
curl --request GET \
--url https://api.growi.io/api/public/v1/payouts/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.growi.io/api/public/v1/payouts/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growi.io/api/public/v1/payouts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growi.io/api/public/v1/payouts/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.growi.io/api/public/v1/payouts/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.growi.io/api/public/v1/payouts/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growi.io/api/public/v1/payouts/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"uuid": "<string>",
"creator_id": 123,
"creator_name": "<string>",
"creator_avatar_url": "<string>",
"campaign_id": 123,
"campaign_name": "<string>",
"campaign_category": "<string>",
"amount": "<string>",
"amount_cents": 123,
"deal_date": "2023-12-25",
"since_date": "2023-12-25",
"views": "<string>",
"status": "<string>",
"contents_delivered": 123,
"contents_required": 123,
"credits_enabled": true,
"credit_name": "<string>",
"total_credit_amount": 123,
"formatted_total_credit_amount": "<string>",
"pending_update": true
},
"meta": {
"precomputed_count": 123,
"queued_count": 123,
"in_flight_count": 123,
"filtered_unknown_count": 123,
"queue_state": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Each payout has a
state: ready, canceled, or updating while it
recalculates. An updating payout has pending_update: true and null
amounts, dates, views and content counts until it’s ready. While payouts are
being recalculated for your whole organization, every row comes back updating
with null amounts. Call again in a few minutes.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The payout uuid: eight hex characters
Query Parameters
Read one of your child brands instead of the organization that owns the key. Any id that is not one of your brands answers 404.